{% extends 'base.html' %}

{% block title%}
    {{ object.title }} - {{ block.super }}
{% endblock %}

{% block main %}
<div class="col">
    <h1>{{ object }}</h1>
    <p class="lead">
        {{ object.plot }}
    </p>
</div>
<ul class="movie-image list-inline">
    {% for i in object.movieimage_set.all %}
        <li class="list-inline-item">
            <img src="{{ i.image.url }}">
        </li>
    {% endfor %}
</ul>
<p>Directed by {{ object.director }}</p>
{% endblock %}


{% block sidebar %}
<div>
    This movie is rated: <span class="badge">{{ object.get_rating_display }}</span>
    <div>
        <h2>
            Score: {{object.score|default_if_none:"TBD"}}
        </h2>
    </div>
</div>

<div>
    {% if vote_form %}
        <form action="{{ vote_form_url }}" method="post">
            {% csrf_token %}
            {{ vote_form.as_p}}
            <button class="btn btn-primary">Vote</button>
        </form>
    {% else %}
        <p>Log in to vote for this movie</p>
    {% endif %}
</div>

<div>
    <h2>Upload New Image</h2>
    <form method="POST" 
          enctype="multipart/form-data"
          action="{% url 'core:MovieImageUpload' movie_id=object.id %}">
    
        {% csrf_token %}
        {{ image_form.as_p }}
        <p>
            <button class="btn btn-primary">Upload</button>
        </p>
    </form>
</div>
{% endblock %}